Bug 8907

Summary: TableLayoutPanel has buggy layout due to applying resources
Product: [Mono] Class Libraries Reporter: Stephen McConnel <stephen_mcconnel>
Component: Windows.FormsAssignee: Bugzilla <bugzilla>
Status: RESOLVED FIXED    
Severity: normal CC: eb1, miguel, mono-bugs+mono
Priority: Lowest    
Version: 2.10.x   
Target Milestone: Untriaged   
Hardware: PC   
OS: Linux   
Tags: mono-community Is this bug a regression?: ---
Last known good build:
Attachments: TestTableLayoutPanelBug.zip contains a simplified project that demonstrates the layout bug.
FixTableLayoutPanel.patch is a proposed fix for this bug.

Description Stephen McConnel 2012-12-12 12:34:12 UTC
Created attachment 3086 [details]
TestTableLayoutPanelBug.zip contains a simplified project that demonstrates the layout bug.

The code for applying layout settings fails to work after resources.ApplyResources is called for a TableLayoutPanel.  The column and row values are stored in the resx file with the control names, and the internal 'columns' and 'rows' dictionaries are filled in with those names.  When the dictionaries are accessed later during layout, the controls themselves are used as keys into those dictionaries, and thus the proper row and column values are not found.
Comment 1 Stephen McConnel 2012-12-12 12:35:40 UTC
Created attachment 3087 [details]
FixTableLayoutPanel.patch is a proposed fix for this bug.
Comment 2 eb1 2014-03-14 07:04:17 UTC
Suggested fix in PR #954
Comment 3 Miguel de Icaza [MSFT] 2014-05-15 17:13:39 UTC
applied fix.